/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.context.handler;

import java.util.Calendar;

import org.osgi.service.log.LogService;

import com.sag.osami.api.context.ContextEvent;
import com.sag.osami.api.context.IContextHandler;
import com.sag.osami.api.context.IContextStore;

/**
 * The Class ContextHandlerImpl.
 */
public class ContextHandlerImpl implements IContextHandler {

	private IContextStore cs;

	private LogService log;

	public ContextHandlerImpl(LogService log) {
		super();
		this.log = log;
	}

	public void setContextStore(IContextStore contextStore) {
		cs = contextStore;
	}

	public void handleContextEvent(ContextEvent context) {

		long diff = Calendar.getInstance().getTimeInMillis() - context.getTimestamp().getTime();
		this.log.log(LogService.LOG_DEBUG, "new Context time-diff" + String.valueOf(diff) + " " + context.getType());// + ": " + context.getData().toString() +
																														// " " + context.getOriginID() + " " +
																														// context.getTimestamp());

	}

	public String[] getDefaultContextTypes() {
		return new String[] { "Temp", "Battery" };
	}

}
