/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.context.handler;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.service.log.LogService;

import com.sag.osami.api.context.IContextHandler;

/**
 * The Class ContextHandlerService.
 */
public class ContextHandlerService implements BundleActivator{
	
	private LogService log;
	private int maxThreads = 0;
	
	/* (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(final BundleContext context) throws Exception {
		
		log = (LogService) context.getService(context.getServiceReference(LogService.class.getName())); 
		this.log.log(LogService.LOG_DEBUG, "Service started");
		
		for (int i = 0; i <= maxThreads; i++) {				
		new Thread( new Runnable() { 
			  public void run() { 
				  context.registerService(IContextHandler.class.getName(), new ContextHandlerImpl(log), null);
			  }; 
			} ).start();
		}
		
		this.log.log(LogService.LOG_DEBUG, "Service registered");

	}

	/* (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */

	public void stop(BundleContext arg0) throws Exception {
				
	}

}
