/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.contextstore.serialization;

import com.sag.osami.api.context.IContextHandler;

/**
 * A serialized ContextHandler is basically the same as a regular ContextHandler, but receives the context events with serialized payload data. This interface
 * exists mainly for internal use.
 * <p>
 * <i>OSGi notice:</i> In OSGi environments, all ISerializedContextHandlers which are registered in the service registry will be automatically registered
 * in the ContextStore as well.
 * 
 * @see IContextHandler
 */
public interface ISerializedContextHandler extends IContextHandler {

}
