/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */

package com.sag.osami.context;

import java.util.Dictionary;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.service.event.Event;
import org.osgi.service.event.EventAdmin;
import org.osgi.service.log.LogService;

import com.sag.osami.api.context.IOsgiToContextEvent;

public class Activator implements BundleActivator {

	@SuppressWarnings("rawtypes")
	public void start(BundleContext bundleContext) throws Exception {

		LogService log = (LogService) bundleContext.getService(bundleContext.getServiceReference(LogService.class.getName()));
		
		EventAdmin eventAdmin = (EventAdmin) bundleContext.getService(bundleContext.getServiceReference(EventAdmin.class.getName()));
				
		IOsgiToContextEvent wrapper = (IOsgiToContextEvent) bundleContext.getService(bundleContext.getServiceReference(IOsgiToContextEvent.class.getName()));
				
		log.log(LogService.LOG_DEBUG, "start");
		bundleContext.registerService(this.getClass().getName(), this, null);

		wrapper.addTopic("Temp");
		
		Event event = new Event("Temp", (Dictionary) null);		
		eventAdmin.sendEvent(event);
		log.log(LogService.LOG_DEBUG, event.toString());

		Thread.sleep(3000);		
		wrapper.addTopic("Battery");

		Event event2 = new Event("Battery", (Dictionary) null);
		Thread.sleep(3000);
		eventAdmin.sendEvent(event2);
		log.log(LogService.LOG_DEBUG, event.toString());
	}

	public void stop(BundleContext ctx) throws Exception {
		// TODO Auto-generated method stub
	}

}
